Body
-
The name of the document.
-
An array containing the client uuids that should be sent the document when it is built.
-
The UUID of the document template you want to be used with this document. You must not provide the sfdt or docx fields when creating from a template.
-
Optional: The document variable dependants. Used to swap variables out for real data.
Additional properties are allowed.
POST
/api/v1/document
curl \
--request POST 'https://api.plannrcrm.com/api/v1/document' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"name": "Client Service Agreement",
"client_uuids": [
"5d5791e4-6945-42fd-ad52-4ddeb7af5461",
"e78849c0-48cf-4ad6-996c-7b817220efe2",
"b27315cc-6c3c-48b6-8c9e-53305b6bf22b"
],
"template_uuid": "3e717ee4-1660-424c-92a2-d6778c723374",
"known_dependants": {
"client-1": "cef533c5-f6d8-4b66-9664-0a081ae7bcdd"
}
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"name": "Client Service Agreement",
"client_uuids": [
"5d5791e4-6945-42fd-ad52-4ddeb7af5461",
"e78849c0-48cf-4ad6-996c-7b817220efe2",
"b27315cc-6c3c-48b6-8c9e-53305b6bf22b"
],
"template_uuid": "3e717ee4-1660-424c-92a2-d6778c723374",
"known_dependants": {
"client-1": "cef533c5-f6d8-4b66-9664-0a081ae7bcdd"
}
}
Response examples (201)
[
{
"uuid": "d0af6b72-d60a-4b90-86b2-f4e212926d17",
"created_at": "2026-11-17T20:47:11+00:00",
"updated_at": "2026-11-17T20:47:11+00:00",
"version": 3,
"name": "Welcome Template",
"status": "published",
"last_publishing_error": "There was an error converting this file to PDF. Please try again later.",
"required_dependants": {
"client-1": "client"
},
"known_dependants": {
"client-1": "649b7138-3331-4ac0-ac74-d45319e85317"
},
"public_docx_url": "https://api.plannrcrm.com/document/bb6c8aea-b266-4a08-a9a0-b365b30b2029/content/docx?plannr_account_uuid=85c7983d-905c-4641-915d-afe5210489a6",
"public_sfdt_url": "https://api.plannrcrm.com/document/4edfcde4-4234-4a2f-a086-a2249d06f0fb/content/sfdt?plannr_account_uuid=b38fa2dd-161e-4fd0-b2a3-3079b7ea6212",
"public_pdf_url": "https://api.plannrcrm.com/document/c204cc65-d80e-4499-ac1a-eaf1e468bf44/content/pdf?plannr_account_uuid=18d52623-b32f-446c-bc54-f8753a18ce4e",
"public_preview_url": "https://api.plannrcrm.com/document/8ea8ab2b-23e3-4ee7-ac49-1eeacc30655e/content/preview?plannr_account_uuid=e462ab95-d2ef-479e-83fa-ca9b725e471c"
}
]
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}